%define realname tutorial

%define name nvu-%realname
%define version 0.1
%define release 2mdk
%define nvu_version 0.81
%define nvulibdir %{_libdir}/nvu-%{nvu_version}

Summary: Tutorial for Nvu 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: nvutut-0.1.xpi
License: MPL/LGPL/GPL
Group: Development/Other
Url: http://glazman.org/nvu/releases/extensions/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
PreReq: nvu = %{nvu_version}
Requires: nvu = %{nvu_version}

%description
Tutorial for Nvu

%prep
%setup -q -c

%build

%install
rm -rf %buildroot

mkdir -p %buildroot%{nvulibdir}/chrome/

cp chrome/nvutut.jar %buildroot%{nvulibdir}/chrome/

# installed-chrome.txt addition
# if this is correct, I'm lucky !
mkdir -p %buildroot%{nvulibdir}/chrome/rc.d/
cat << EOF > %buildroot%{nvulibdir}/chrome/rc.d/9_%name.txt
content,install,url,jar:resource:/chrome/nvutut.jar!/content/nvutut/
locale,install,url,jar:resource:/chrome/nvutut.jar!/locale/en-US/nvutut/
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root)
%nvulibdir/chrome/nvutut.jar

%nvulibdir/chrome/rc.d/9_%name.txt

%post -p %{nvulibdir}/mozilla-rebuild-databases.pl

%postun -p %{nvulibdir}/mozilla-rebuild-databases.pl

%changelog
* Sun Feb 20 2005 Stefan van der Eijk <stefan@eijk.nu> 0.1-2mdk
- fix bug #6574

* Fri Jan 14 2005 Couriousous <couriousous@mandrake.org> 0.1-1mdk
- First Mandrakelinux release


